/**
 * ActClassInvoiceElement2.java
 *
 * File generated from the medication2::ActClassInvoiceElement2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassInvoiceElement2.
 *
 */

@XmlType(name = "ActClassInvoiceElement")
@XmlEnum
@XmlRootElement(name = "ActClassInvoiceElement2")
public enum ActClassInvoiceElement2 {
	@XmlEnumValue("INVE")
	INVE("INVE");
	
	private final String value;

    ActClassInvoiceElement2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassInvoiceElement2 fromValue(String v) {
        for (ActClassInvoiceElement2 c: ActClassInvoiceElement2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
